# std::valarray::size

From cppreference.com
< cpp‎ | numeric‎ | valarray

std::size_t size() const; |  |

Returns the number of elements in the valarray.

### Parameters

(none)

### Return value

Number of elements in the valarray.

### Example

Run this code

    #include <iostream>
    #include <valarray>

    int main()
    {
        std::valarray<double> a = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10};
        std::cout << "Average: " << a.sum()/a.size() << '\n';
    }

Output:

    Average: 5.5

### See also

resize | changes the size of valarray (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/size&oldid=84534"